Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives.adapters
Class ListFloatList

    java.lang.Object
      org.apache.commons.collections.primitives.adapters.AbstractCollectionFloatCollection
          org.apache.commons.collections.primitives.adapters.AbstractListFloatList
              org.apache.commons.collections.primitives.adapters.ListFloatList

All Implemented Interfaces:
  FloatCollection, FloatList, Serializable

public class ListFloatList
extends org.apache.commons.collections.primitives.adapters.AbstractListFloatList
implements Serializable

Adapts a `Number`-valued `List` to the `FloatList` interface.

This implementation delegates most methods to the provided `List` implementation in the "obvious" way.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:38 $
Author:
  Rodney Waldhoff
See Also:
  Serialized Form

Constructor Summary
`ListFloatList(List list)` Creates an `FloatList` wrapping the specified `List`.

Method Summary
`boolean` | `add(float element)` Appends the specified element to the end of me (optional operation).
`void` | `add(int index, float element)` Inserts the specified element at the specified position (optional operation).
`boolean` | `addAll(FloatCollection c)` `Adds` all of the elements in the specified collection to me (optional operation).
`boolean` | `addAll(int index, FloatCollection collection)` Inserts all of the elements in the specified collection into me, at the specified position (optional operation).
`void` | `clear()` Removes all my elements (optional operation).
`boolean` | `contains(float element)` Returns `true` iff I contain the specified element.
`boolean` | `containsAll(FloatCollection c)` Returns `true` iff I `contain` all of the elements in the given collection.
`boolean` | `equals(Object obj)` Returns `true` iff that is an `FloatList` that contains the same elements in the same order as me.
`float` | `get(int index)` Returns the value of the element at the specified position within me.
`protected Collection` | `getCollection()`
`protected List` | `getList()`
`int` | `hashCode()` Returns my hash code.
`int` | `indexOf(float element)` Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.
`boolean` | `isEmpty()` Returns `true` iff I contain no elements.
`FloatIterator` | `iterator()` `wraps` the `Iterator` returned by my underlying `Collection`, if any.
`int` | `lastIndexOf(float element)` Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.
`FloatListIterator` | `listIterator()` `wraps` the `FloatList` returned by my underlying `FloatListIterator`, if any.
`FloatListIterator` | `listIterator(int index)` `wraps` the `FloatList` returned by my underlying `FloatListIterator`, if any.
`boolean` | `removeAll(FloatCollection c)` Removes all of my elements that are contained in the specified collection (optional operation).
`boolean` | `removeElement(float element)` Removes a single occurrence of the specified element (optional operation).
`float` | `removeElementAt(int index)` Removes the element at the specified position in (optional operation).
`boolean` | `retainAll(FloatCollection c)` Removes all of my elements that are not contained in the specified collection (optional operation).
`float` | `set(int index, float element)` Replaces the element at the specified position in me with the specified element (optional operation).
`int` | `size()` Returns the number of elements I contain.
`FloatList` | `subList(int fromIndex, int toIndex)` Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive.
`float[]` | `toArray()` Returns an array containing all of my elements.
`float[]` | `toArray(float[] dest)` Returns an array containing all of my elements, using the given array if it is large enough.
`String` | `toString()`
`static FloatList` | `wrap(List list)` Create an `FloatList` wrapping the specified `List`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.primitives.FloatList
`add, iterator`

Methods inherited from interface org.apache.commons.collections.primitives.FloatCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, size, toArray, toArray`

Constructor Detail

### ListFloatList

    public ListFloatList(List list)

  Creates an `FloatList` wrapping the specified `List`.

See Also:
  `wrap(java.util.List)`

Method Detail

### wrap

    public static FloatList wrap(List list)

  Create an `FloatList` wrapping the specified `List`. When the given list is `null`, returns `null`.

  Parameters:
    `list` - the (possibly `null`) `List` to wrap
  Returns:
    a `FloatList` wrapping the given list, or `null` when list is `null`.

### getList

    protected List getList()

### add

    public void add(int index,
                    float element)

  Description copied from interface: `FloatList`
  Inserts the specified element at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices.

  Specified by:
    `add` in interface `FloatList`
  Parameters:
    `index` - the index at which to insert the element
    `element` - the value to insert

### addAll

    public boolean addAll(int index,
                          FloatCollection collection)

  Description copied from interface: `FloatList`
  Inserts all of the elements in the specified collection into me, at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices. The new elements will appear in the order that they are returned by the given collection's `iterator`.

  Specified by:
    `addAll` in interface `FloatList`
  Parameters:
    `index` - the index at which to insert the first element from the specified collection
    `collection` - the `FloatCollection` of elements to add
  Returns:
    `true` iff I changed as a result of this call

### get

    public float get(int index)

  Description copied from interface: `FloatList`
  Returns the value of the element at the specified position within me.

  Specified by:
    `get` in interface `FloatList`
  Parameters:
    `index` - the index of the element to return
  Returns:
    the value of the element at the specified position

### indexOf

    public int indexOf(float element)

  Description copied from interface: `FloatList`
  Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.

  Specified by:
    `indexOf` in interface `FloatList`
  Parameters:
    `element` - the element to search for
  Returns:
    the smallest index of an element matching the specified value, or `-1` if no such matching element can be found

### lastIndexOf

    public int lastIndexOf(float element)

  Description copied from interface: `FloatList`
  Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.

  Specified by:
    `lastIndexOf` in interface `FloatList`
  Parameters:
    `element` - the element to search for
  Returns:
    the largest index of an element matching the specified value, or `-1` if no such matching element can be found

### listIterator

    public FloatListIterator listIterator()

  `wraps` the `FloatList` returned by my underlying `FloatListIterator`, if any.

  Specified by:
    `listIterator` in interface `FloatList`

### listIterator

    public FloatListIterator listIterator(int index)

  `wraps` the `FloatList` returned by my underlying `FloatListIterator`, if any.

  Specified by:
    `listIterator` in interface `FloatList`

### removeElementAt

    public float removeElementAt(int index)

  Description copied from interface: `FloatList`
  Removes the element at the specified position in (optional operation). Any subsequent elements are shifted to the left, subtracting one from their indices. Returns the element that was removed.

  Specified by:
    `removeElementAt` in interface `FloatList`
  Parameters:
    `index` - the index of the element to remove
  Returns:
    the value of the element that was removed

### set

    public float set(int index,
                     float element)

  Description copied from interface: `FloatList`
  Replaces the element at the specified position in me with the specified element (optional operation).

  Specified by:
    `set` in interface `FloatList`
  Parameters:
    `index` - the index of the element to change
    `element` - the value to be stored at the specified position
  Returns:
    the value previously stored at the specified position

### subList

    public FloatList subList(int fromIndex,
                             int toIndex)

  Description copied from interface: `FloatList`
  Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive. The returned `FloatList` is backed by me, so that any changes in the returned list are reflected in me, and vice-versa. The returned list supports all of the optional operations that I support.

  Note that when `fromIndex == toIndex`, the returned list is initially empty, and when `fromIndex == 0 && toIndex == `size()`` the returned list is my "improper" sublist, containing all my elements.

  The semantics of the returned list become undefined if I am structurally modified in any way other than via the returned list.

  Specified by:
    `subList` in interface `FloatList`
  Parameters:
    `fromIndex` - the smallest index (inclusive) in me that appears in the returned list
    `toIndex` - the largest index (exclusive) in me that appears in the returned list
  Returns:
    a view of this list from fromIndex (inclusive) to toIndex (exclusive)

### equals

    public boolean equals(Object obj)

  Description copied from interface: `FloatList`
  Returns `true` iff that is an `FloatList` that contains the same elements in the same order as me. In other words, returns `true` iff that is an `FloatList` that has the same `size` as me, and for which the elements returned by its `iterator` are equal (`==`) to the corresponding elements within me. (This contract ensures that this method works properly across different implementations of the `FloatList` interface.)

  Specified by:
    `equals` in interface `FloatList`

### hashCode

    public int hashCode()

  Description copied from interface: `FloatList`
  Returns my hash code.

  The hash code of an `FloatList` is defined to be the result of the following calculation:

       int hash = 1;
       for(FloatIterator iter = iterator(); iter.hasNext(); ) {
         float value = iter.next();
         hash = 31*hash + (int)(value ^ (value >>> 32));
       }

  This contract ensures that this method is consistent with `equals` and with the `hashCode` method of a `List` of `Float`s.

  Specified by:
    `hashCode` in interface `FloatList`

### getCollection

    protected final Collection getCollection()

### add

    public boolean add(float element)

  Description copied from interface: `FloatCollection`
  Ensures that I contain the specified element (optional operation). Returns `true` iff I changed as a result of this call.

  If a collection refuses to add the specified element for any reason other than that it already contains the element, it must throw an exception (rather than simply returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

  Specified by:
    `add` in interface `FloatCollection`
  Parameters:
    `element` - the value whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### addAll

    public boolean addAll(FloatCollection c)

  Description copied from interface: `FloatCollection`
  `Adds` all of the elements in the specified collection to me (optional operation).

  Specified by:
    `addAll` in interface `FloatCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call

### clear

    public void clear()

  Description copied from interface: `FloatCollection`
  Removes all my elements (optional operation). I will be `empty` after this method successfully returns.

  Specified by:
    `clear` in interface `FloatCollection`

### contains

    public boolean contains(float element)

  Description copied from interface: `FloatCollection`
  Returns `true` iff I contain the specified element.

  Specified by:
    `contains` in interface `FloatCollection`
  Parameters:
    `element` - the value whose presence within me is to be tested
  Returns:
    `true` iff I contain the specified element

### containsAll

    public boolean containsAll(FloatCollection c)

  Description copied from interface: `FloatCollection`
  Returns `true` iff I `contain` all of the elements in the given collection.

  Specified by:
    `containsAll` in interface `FloatCollection`
  Parameters:
    `c` - the collection of elements whose presence within me is to be tested
  Returns:
    `true` iff I contain the all the specified elements

### toString

    public String toString()

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `FloatCollection`
  Returns `true` iff I contain no elements.

  Specified by:
    `isEmpty` in interface `FloatCollection`
  Returns:
    `true` iff I contain no elements.

### iterator

    public FloatIterator iterator()

  `wraps` the `Iterator` returned by my underlying `Collection`, if any.

  Specified by:
    `iterator` in interface `FloatCollection`
  Returns:
    an `iterator` over all my elements.

### removeElement

    public boolean removeElement(float element)

  Description copied from interface: `FloatCollection`
  Removes a single occurrence of the specified element (optional operation).

  Specified by:
    `removeElement` in interface `FloatCollection`
  Parameters:
    `element` - the element to remove, if present
  Returns:
    `true` iff I contained the specified element, in other words, iff I changed as a result of this call

### removeAll

    public boolean removeAll(FloatCollection c)

  Description copied from interface: `FloatCollection`
  Removes all of my elements that are contained in the specified collection (optional operation). The behavior of this method is unspecified if the given collection is modified while this method is executing. Note that this includes the case in which the given collection is this collection, and it is not empty.

  Specified by:
    `removeAll` in interface `FloatCollection`
  Parameters:
    `c` - the collection of elements to remove
  Returns:
    `true` iff I contained the at least one of the specified elements, in other words, returns `true` iff I changed as a result of this call

### retainAll

    public boolean retainAll(FloatCollection c)

  Description copied from interface: `FloatCollection`
  Removes all of my elements that are not contained in the specified collection (optional operation). (In other words, retains only my elements that are contained in the specified collection.) The behavior of this method is unspecified if the given collection is modified while this method is executing.

  Specified by:
    `retainAll` in interface `FloatCollection`
  Parameters:
    `c` - the collection of elements to retain
  Returns:
    `true` iff I changed as a result of this call

### size

    public int size()

  Description copied from interface: `FloatCollection`
  Returns the number of elements I contain.

  Specified by:
    `size` in interface `FloatCollection`
  Returns:
    the number of elements I contain

### toArray

    public float[] toArray()

  Description copied from interface: `FloatCollection`
  Returns an array containing all of my elements. The length of the returned array will be equal to my `size`.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `FloatCollection`
  Returns:
    an array containing all my elements

### toArray

    public float[] toArray(float[] dest)

  Description copied from interface: `FloatCollection`
  Returns an array containing all of my elements, using the given array if it is large enough. When the length of the given array is larger than the number of elements I contain, values outside of my range will be unchanged.

  The returned array will be independent of me, so that callers may modify that returned array without modifying this collection.

  When I guarantee the order in which elements are returned by an `iterator`, the returned array will contain elements in the same order.

  Specified by:
    `toArray` in interface `FloatCollection`
  Parameters:
    `dest` - an array that may be used to contain the elements
  Returns:
    an array containing all my elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.